Bug 967792 - quantum-dist.conf referencing to not existing notification_driver
quantum-dist.conf referencing to not existing notification_driver
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 4.0
Assigned To: RHOS Maint
Ofer Blaut
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 06:54 EDT by Attila Fazekas
Modified: 2016-04-26 09:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-13 03:07:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Attila Fazekas 2013-05-28 06:54:13 EDT
$ grep list_notifier /usr/share/quantum/*
/usr/share/quantum/quantum-dist.conf:notification_driver = quantum.openstack.common.notifier.list_notifier
/usr/share/quantum/quantum-dist.conf:list_notifier_drivers = quantum.openstack.common.notifier.rabbit_notifier

/var/log/quantum/server.log:
2013-05-26 10:53:32    ERROR [quantum.openstack.common.notifier.api] Failed to load notifier quantum.openstack.common.notifier.list_notifier. These notifications will not be sent.
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/quantum/openstack/common/notifier/api.py", line 169, in add_driver
    driver = importutils.import_module(notification_driver)
  File "/usr/lib/python2.6/site-packages/quantum/openstack/common/importutils.py", line 58, in import_module
    __import__(import_str)
ImportError: No module named list_notifier
Comment 3 Attila Fazekas 2013-08-12 08:44:01 EDT
The version 2013.1.2-4.el6ost does not contains 'notification_driver' option in the /usr/share/quantum/quantum-dist.conf.

No 'list_notifier' driver module import attempt after a packstack install.
Comment 4 lpeer 2013-08-13 03:07:55 EDT
per comment #3 I'm closing this bug

Note You need to log in before you can comment on or make changes to this bug.